Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.pipe
Interface Group

All Superinterfaces:
  FlowElement, Serializable

All Known Implementing Classes:
  CoGroup, GroupBy

    public interface Group

extends FlowElement

Method Summary
`Map<String,Fields>` | `getKeySelectors()`
`String` | `getName()`
`Map<String,Fields>` | `getSortingSelectors()`
`boolean` | `isCoGroup()`
`boolean` | `isGroupBy()`
`boolean` | `isSorted()`
`boolean` | `isSortReversed()`

Methods inherited from interface cascading.flow.FlowElement
`getConfigDef, getStepConfigDef, hasConfigDef, hasStepConfigDef, isEquivalentTo, outgoingScopeFor, resolveIncomingOperationArgumentFields, resolveIncomingOperationPassThroughFields`

Method Detail

### getName

    String getName()

### isGroupBy

    boolean isGroupBy()

### isCoGroup

    boolean isCoGroup()

### isSortReversed

    boolean isSortReversed()

### isSorted

    boolean isSorted()

### getKeySelectors

    Map<String,Fields> getKeySelectors()

### getSortingSelectors

    Map<String,Fields> getSortingSelectors()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.